import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)

# LEDs LEFT-TO-RIGHT order
led_pins = [26, 25, 24]

# Button 1, 2
button_1_pin = 22
button_2_pin = 15

GPIO.setup(button_1_pin, GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.setup(button_2_pin, GPIO.IN, pull_up_down=GPIO.PUD_UP)

# LEDs
for led_pin in led_pins:
    GPIO.setup(led_pin, GPIO.OUT)

# Initialize variables
sequence_running = True
sequence_direction = 1 # 1 for forward, -1 for reverse
current_led = 0

def update_led_state():
    for i in range(len(led_pins)):
        GPIO.output(led_pins[i], i == current_led)

while True:
    # Button 1
    if (GPIO.input(button_1_pin) == False):
        time.sleep(0.25)
        sequence_running = not sequence_running

        if (sequence_running):
            print("Start")
        else:
            print("Stop")

    # Button 2
    if (GPIO.input(button_2_pin) == False):
        print("Change sequence")
        time.sleep(0.25)
        sequence_direction *= -1
        sequence_running = True

    if sequence_running:
        # Update the LED state
        update_led_state()

        # Wait for 0.5 seconds
        time.sleep(0.5)

        # Move to the next LED
        current_led += sequence_direction

        # Wrap around if needed
        if current_led < 0:
            current_led = len(led_pins) - 1
        elif current_led >= len(led_pins):
            current_led = 0