import pint

ureg = pint.UnitRegistry()

def calculate_voltage(current, resistance):
    # Ensure that the inputs have the correct units (A for current, ohm for resistance)
    current = current * ureg.ampere
    resistance = resistance * ureg.ohm

    voltage = current * resistance
    return voltage

def calculate_current(voltage, resistance):
    # Ensure that the inputs have the correct units (V for voltage, ohm for resistance)
    voltage = voltage * ureg.volt
    resistance = resistance * ureg.ohm

    current = voltage / resistance
    return current

def calculate_resistance(voltage, current):
    # Ensure that the inputs have the correct units (V for voltage, A for current)
    voltage = voltage * ureg.volt
    current = current * ureg.ampere

    resistance = voltage / current
    return resistance

def calculate_serial_resistance(rs):
    # Calculate the total resistance for resistors in series (r_total = R1 + R2 + ... = Rn)
    r_total = sum(rs)
    return r_total