import pint
from ohms_law import calculate_resistance, calculate_current, calculate_voltage

ureg = pint.UnitRegistry()

def test_voltage_calculation():
    # Test when current is 2 A and resistance is 4 ohms
    result = calculate_voltage(2, 4)
    expected_result = 8 * ureg.volt
    assert result == expected_result
    print("Pass")

    # Test when current is 3 A and resistance is 5 ohms
    result = calculate_voltage(3, 5)
    expected_result = 15 * ureg.volt
    assert result == expected_result
    print("Pass")

    # Add more test cases as needed

def test_current_calculation():
    # Test when voltage is 12 V and resistance is 3 ohms
    result = calculate_current(12, 3)
    expected_result = 4 * ureg.ampere
    assert result == expected_result
    print("Pass")

    # Test when voltage is 15 V and resistance is 5 ohms
    result = calculate_current(15, 5)
    expected_result = 3 * ureg.ampere
    assert result == expected_result
    print("Pass")

    # Add more test cases as needed

def test_resistance_calculation():
    # Test when voltage is 24 V and current is 6 A
    result = calculate_resistance(24, 6)
    expected_result = 4 * ureg.ohm
    assert result == expected_result
    print("Pass")

    # Test when voltage is 30 V and current is 3 A
    result = calculate_resistance(30, 3)
    expected_result = 10 * ureg.ohm
    assert result == expected_result
    print("Pass")

    # Add more test cases as needed

if __name__ == '__main__':
    # Tests
    test_resistance_calculation()